カテゴリー
Synology WordPress

Google MapプラグインをWordPressに導入して稼働させるには、Googleの「請求の有効化」が必要? – △ID4341

Google MapプラグインをWordPressに導入して稼働させるには、Googleの「請求の有効化」が必要? – △ID4341

Google Mapプラグインの導入検討

プラグインの導入と検証

Google Mapをblogに導入しようと、数種類のGoogle Mapプラグインをインストールして設定したみた。

プラグイン操作時のマップ読み込みにおいて、以下のプラグインではエラーがでました。マップの貼り付けモードに依存していると考えられる。

  • WP Google Maps
  • Google Maps Easy
  • Google Maps Plugin by Intergeo

2019/12/15時点

エラーにならないプラグインも見つけることができました。Ultimate Addons Blocksプラグインです。このプラグインでは、Google MapのAPIキーはプラグイン側で用意してくれているようです。APIキーが必要となるプラグインも多くあるのではが、このプラグインでは、必要ありません。

  • Ultimate Addons Blocksプラグイン (Gutenberg用) – Google Mapsブロック

2021/01更新

長らくUltimate Addons BlockプラグインのGoogle Mapsプロックを使ってきましたが、AMP対応のCoBlocksプラグインのCoBlocksに変更することにしました。地図ブロックは、APIキーの必要もありません。Ultimate Addons Blocksプラグインは、アンインストールしました。

  • CoBlocksプラグイン

スポンサーリンク: ID6183593457

自分でAPIキーを用意する場合

以下の記述は、2019/12/15時点の内容です。結局は、前述に示したように、プラグイン側でAPIキーを用意してくれるプラグインをインストールしました。加えて、AMPに対応するプラグインに2021/01時点でプラグインを乗り換えています。

以下の記載は、自前でAPIキーを用意する場合で、且つ、2019/12時点での手順を示しています。

請求情報の登録が必要

どうやら、「Google Maps Platformへようこそ」で請求に関する情報を入力し有効化すなけばならないようだ。

  • マップ
  • ルート
  • プレイス

有効化の手続き

参考

いかのサイトには、上記のようにマップ、ルート及びプレイスを選択し、その後に表示される「請求の有効化」を完了しなければ、エラーは解消しないようだ。

how to fix “this page didn’t load google maps correctly” error

いわく、Googleは毎日の課金には、過大な無料クレジットを設定しているらしく、これまでに請求を受けたプラグインのユーザーはいないとのこと。

とはいえ、いつその無料のクレジット枠が、過小に設定されるのかわからないので、請求の有効化を無闇に設定はできない。

以上、Google Mapプラグインの導入については、今回はペンディングとする(2019/12/15 はりきり(Mr) )

スポンサーリンク: ID4219953367

編集履歴

2019/12/15 Mr. Harikiri Google Mapプラグインの物色
2021/01/18 AMP対応でAPIキーが必要ない、Google Mapブロックが使用できるCoBlocksプラグインに変更

用語の解説、関連タグ付き投稿の抽出

Google Map

NAS

[Synology] Wi-Fiルーター RT2600ac/RT6600axをSoftbank Airに接続してワイヤレスAPとして使用する – 次世代ルーターRT6600については少し詳しく解説 – ID40245 [2022/09/24]
[用語] NAS

Post Views: 13 NAS : Network Attached Storage 関連記事: [Synology] 自宅にNASを設置しWordPressを構築 – blogサイトを立ち上げる &# […]

WordPress

有料

無料

自宅

スポンサーリンク ID 7130582967

- 以下のツールに敬意を示します -
Support to AMP (Accelerated Mobile Pages) by official AMP plugin for WordPress, and compatible powered by
Post viewing : Flex Posts - Widget and Gutenberg Block